Page MenuHomePhabricator

Free alternative to Google Charts for Phabricator burndown charts
Closed, ResolvedPublic

Description

In T153#13719, @Mattflaschen wrote:

Another problem is the google jsapi implementation for the charts. Using a local js library, like Raphael or Flot, loaded with celerity would be better.

Yes, that sounds like a blocker for production from both a licensing (Google Charts does not seem to be open source) and privacy standpoint.

Maybe one of the Analytics team's visualization tools could be helpful here.

Related Objects

Event Timeline

Qgil created this task.Oct 22 2014, 11:29 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to High.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, chasemp, mmodell and 12 others.

Probably not a licensing *blocker*; obviously libre is good but it is still an improvement over previous tools. But privacy may be an issue depending on who this is exposed to and what data they'll see.

demon added a subscriber: demon.EditedOct 23 2014, 12:24 AM

I'm not entirely sure how the charts api is used here, but would being able to export data help as a workaround if google charts api doesn't work? I'm looking at T152: Install PHPExcel so I can export reports.

Qgil assigned this task to Christopher.Oct 27 2014, 3:37 AM
Qgil closed this task as Resolved.

The blocker with the google charts is resolved. See changes here https://gerrit.wikimedia.org/r/#/c/168824/
I decided to use D3 for the chart library and a wrapper called C3. Both are loaded with celerity and configured with javelin.
The implementation is still not complete, but I think that the first result is satisfactory and not that different from the Google Chart.

You can see the first iteration here; https://phab08.wmflabs.org/sprint/view/4/

The new js libraries should be put under the phabricator/webroot/rsrc/externals/sprint directory and then "/bin/celerity map" should be run. I guess this should go in a new phabricator branch?

Thank you @Christopher!

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 17 2016, 7:11 AM
jayvdb added a subscriber: jayvdb.May 17 2016, 7:12 AM

I dont see anything upstreamed here.